org.w3._2000._09.xmldsig

## Class Reference

- java.lang.Object
- - org.w3._2000._09.xmldsig.Reference

- All Implemented Interfaces:
    Serializable

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2025-03-20T11:15:35+01:00",
                 comments="JAXB RI v2.3.7")
      public class Reference
      extends Object
      implements Serializable

  Java class for ReferenceType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="ReferenceType">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element ref="{http://www.w3.org/2000/09/xmldsig#}Transforms" minOccurs="0"/>
               <element ref="{http://www.w3.org/2000/09/xmldsig#}DigestMethod"/>
               <element ref="{http://www.w3.org/2000/09/xmldsig#}DigestValue"/>
             </sequence>
             <attribute name="Id" type="{http://www.w3.org/2001/XMLSchema}ID" />
             <attribute name="URI" type="{http://www.w3.org/2001/XMLSchema}anyURI" />
             <attribute name="Type" type="{http://www.w3.org/2001/XMLSchema}anyURI" />
           </restriction>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Reference()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `DigestMethod` | `getDigestMethod()` Gets the value of the digestMethod property.
    `byte[]` | `getDigestValue()` Gets the value of the digestValue property.
    `String` | `getId()` Gets the value of the id property.
    `Transforms` | `getTransforms()` Gets the value of the transforms property.
    `String` | `getType()` Gets the value of the type property.
    `String` | `getURI()` Gets the value of the uri property.
    `void` | `setDigestMethod(DigestMethod value)` Sets the value of the digestMethod property.
    `void` | `setDigestValue(byte[] value)` Sets the value of the digestValue property.
    `void` | `setId(String value)` Sets the value of the id property.
    `void` | `setTransforms(Transforms value)` Sets the value of the transforms property.
    `void` | `setType(String value)` Sets the value of the type property.
    `void` | `setURI(String value)` Sets the value of the uri property.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Reference

          public Reference()

  - ### Method Detail

    - #### getTransforms

          public Transforms getTransforms()

      Gets the value of the transforms property.
      Returns:
        possible object is `Transforms`

    - #### setTransforms

          public void setTransforms(Transforms value)

      Sets the value of the transforms property.
      Parameters:
        `value` - allowed object is `Transforms`

    - #### getDigestMethod

          public DigestMethod getDigestMethod()

      Gets the value of the digestMethod property.
      Returns:
        possible object is `DigestMethod`

    - #### setDigestMethod

          public void setDigestMethod(DigestMethod value)

      Sets the value of the digestMethod property.
      Parameters:
        `value` - allowed object is `DigestMethod`

    - #### getDigestValue

          public byte[] getDigestValue()

      Gets the value of the digestValue property.
      Returns:
        possible object is byte[]

    - #### setDigestValue

          public void setDigestValue(byte[] value)

      Sets the value of the digestValue property.
      Parameters:
        `value` - allowed object is byte[]

    - #### getId

          public String getId()

      Gets the value of the id property.
      Returns:
        possible object is `String`

    - #### setId

          public void setId(String value)

      Sets the value of the id property.
      Parameters:
        `value` - allowed object is `String`

    - #### getURI

          public String getURI()

      Gets the value of the uri property.
      Returns:
        possible object is `String`

    - #### setURI

          public void setURI(String value)

      Sets the value of the uri property.
      Parameters:
        `value` - allowed object is `String`

    - #### getType

          public String getType()

      Gets the value of the type property.
      Returns:
        possible object is `String`

    - #### setType

          public void setType(String value)

      Sets the value of the type property.
      Parameters:
        `value` - allowed object is `String`

Connector Packaging PERSNURSE 4.7.3 API
Copyright © {inceptionYear}-2025 eHealth. All Rights Reserved.